.menu-category-section {
    background: #f5f5f5;
    padding: 150px 0px 50px;
}

.menu-category-container {
    width: min(1200px, 92%);
    margin: 0 auto;
}

.menu-category-title {
    color: #1d6b45;
}

.menu-category-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    justify-content: center;
}

.menu-item-card {
    background: #1d6b45;
    border-radius: 14px;
    overflow: hidden;
    box-shadow: 0 6px 18px rgba(0,0,0,0.18);
    text-align: center;
}

.menu-item-card-title {
    color: #e1cf97;
    font-size: 22px;
    font-weight: 700;
    padding: 10px;
    min-height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-item-card-image {
    width: 100%;
    height: 290px;
    overflow: hidden;
}

.menu-item-card-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.menu-item-card-footer {
    padding: 18px 20px 22px;
}

.no-menu-items {
    text-align: center;
    font-size: 18px;
    color: #1d6b45;
}

@media (max-width: 1199px) {
    .menu-category-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 991px) {
     .menu-category-section {
    background: #f5f5f5;
    padding: 130px 0px 50px;
}

    .menu-category-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .menu-category-title {
        font-size: 42px;
    }
}

@media (max-width: 575px) {
.menu-category-section {
    background: #f5f5f5;
    padding: 100px 0px 30px;
}

    .menu-category-grid {
        grid-template-columns: 1fr;
    }

    .menu-category-title {
        font-size: 34px;
    }

    .menu-item-card-image {
        height: 260px;
    }
}